Subject: RE: Bug. "File or path name too long"
From: Earnie Boyd <[email-masked]>
To: Derek Haskin <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Sun, 12 Mar 2000 12:20:30 -0800 (PST)

Hi Derek,

Yes, I'm suggesting that you debug the Cygwin code.  This is an open source
project with very few contributors.  We need all the help we can get on
debugging, so if you're having a problem that is uncommon to others then you
should help debug the code and submit patches.  If you're patches are extensive
then you must submit the proper release forms find out the cygwin webpage.

Earnie.

--- Derek Haskin <[email-masked]> wrote:
> so i just want to clarify;
> are you suggesting that I debug the cygnus code line.
> 
> derek.
> 
> -----Original Message-----
> From: Earnie Boyd [mailto:[email-masked]]
> Sent: Friday, March 10, 2000 11:54 AM
> To: Derek Haskin
> Subject: RE: Bug. "File or path name too long"
> 
> 
> Download the source files using ftp.
> Using a debugger such as gdb find the bug.
> Using your favorite editor, modify the source and rebuild it.
> Test this version and if it works use the diff program create a suitable
> differences file.
> Submit that file to the list.
> 
> Earnie.
> 
> --- Derek Haskin <[email-masked]> wrote:
> > "My advise: Use the source, Luke, use the source.  Then, submit patches so
> > others won't have the problem."
> > 
> > I don't know what the above statements means. Could you clarify.
> > 
> > thanks
> > derek.
> > 
> > 
> > -----Original Message-----
> > From: Earnie Boyd [mailto:[email-masked]]
> > Sent: Friday, March 10, 2000 9:59 AM
> > To: Derek Haskin; [email-masked]'
> > Subject: RE: Bug. "File or path name too long"
> > 
> > 
> > --- Derek Haskin <[email-masked]> wrote:
> > > Earnie thanks for the quick response. But I think I should have provided
> > you
> > > with more information.
> > > 
> > > The path/file name I am passing is 117 characters in length which is
> under
> > > the 259 character limit.
> > > 
> > > From a dos command prompt I ran two commands. The first using dos "dir"
> > > command which works fine.
> > > Then I ran the ls command using the same parameter and I get the "File
> or
> > > path name too long" problem.
> > > So to me this indicates that it is a problem specific to the bash shell
> > > commands.
> > > 
> > > I get the same problem when I use other bash shell commands such as
> "cp".
> > > 
> > -8<- 
> > > 
> > > Please advise.
> > > 
> > 
> > Hmm...  It could actually be in one of three or all three places.  It
> could
> > be
> > the bash shell as you say, it could be the individual executable, or
> > possibly
> > even Cygwin itself.
> > 
> > My advise: Use the source, Luke, use the source.  Then, submit patches so
> > others won't have the problem.
> > 
> > 
> > =====
> > ---
> >    Earnie Boyd: <mailto:[email-masked]>
> >             __Cygwin: POSIX on Windows__
> > Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
> >            __Minimalist GNU for Windows__
> >   Mingw32 List: <http://www.egroups.com/group/mingw32/>
> >     Mingw Home: <http://www.mingw.org/>
> > __________________________________________________
> > Do You Yahoo!?
> > Talk to your friends online with Yahoo! Messenger.
> > http://im.yahoo.com
> > 
> __________________________________________________
> Do You Yahoo!?
> Talk to your friends online with Yahoo! Messenger.
> http://im.yahoo.com
> 
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]